---
title: "Delete Virtual Account"
source_url: https://docs.rapyd.net/en/delete-virtual-account.html
lang: en
---

# Delete Virtual Account

Delete a virtual account number of an existing wallet.

To close a virtual account:

- The status of the virtual account must be **ACT**.
- No transactions can be on hold for compliance review.

### Parameters

### Request Path Parameters

- - virtual_account_id
  - ID of the virtual account. String starting with **issuing_**.

### Request Header Parameters

> **Note:**
>
> The `api_version` header parameter is required. See [Versioning for API Methods](https://docs.rapyd.net/en/versioning-for-api-methods.md "Versioning for API Methods").

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - api_version
  - The date of the api_version in **yyyy-mm-dd** format. Value: **2023-11-29**.
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - id
  - ID of the account. String starting with **issuing_**.
- - deleted
  - Indicates whether the account has been successfully deleted.

- /v1/issuing/bankaccounts/:virtual_account_id

- Delete Virtual Account
- ```curl
  curl -X delete
  https://sandboxapi.rapyd.net/v1/issuing/bankaccounts/issuing_7807a16258d33b908426454b3d1900f
  -H 'access_key: your-access-key-here'
  -H 'api_version: 2023-11-29'
  -H 'Content-Type: application/json'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "d778b3e6-d766-4ed1-8c85-8506cf2482bc"
      },
      "data": {
          "id": "issuing_7807a16258d33b908426454b3d1900f7",
          "deleted": true
      }
  }
  ```
